# -*- coding: utf-8 -*-
from setuphelpers import *

"""
Installation procedure: https://docs.microsoft.com/powershell/scripting/install/installing-powershell-core-on-windows

silent_args = 'ADD_EXPLORER_CONTEXT_MENU_OPENPOWERSHELL=0 REGISTER_MANIFEST=0 ENABLE_PSREMOTING=0'

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob("*PowerShell*.msi")[0]

    # Installing the software
    print("Installing: %s" % bin_name)
    install_msi_if_needed(
        bin_name,
        min_version=control.get_software_version(),
    )
